[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.SetParent

Sets the value for the Parent property.

## Declaration

Source position: forms.pp line 326

`protected procedure TCustomFrame.SetParent(`
`AParent: TWinControl`
`); override;`

## Arguments

`AParent` |  | New value for the Parent property.

## Description

Updates the action list for child components or nested frames by calling AddActionList or RemoveActionList. Frees the Handle for the control when Parent has not already been assigned. Calls the inherited method to update the value in Parent. Performs automatic layout adjustments when the PixelsPerInch settings for the Parent and the frame instance have different value.

## See also

TControl.Parent |  | The control within which the control is shown.
TControl.SetParent |  | Sets the value for the Parent property.